Retorna todos os fornecedores de identidade com o protocolo fornecido e digita a federação especificada. Se nenhum protocolo for especificado, somente fornecedores de identidade SAML serão retornados. Se nenhum idpType for especificado, somente fornecedores de identidade WORKFORCE serão retornados. Para usar esse recurso, a conta de serviço ou a chave de API solicitada deve ter a função "Proprietário da organização" em uma das organizações conectadas.
parâmetros de caminho
-
String exclusiva de 24 dígitos hexadecimais que identifica sua federação.
O formato deve corresponder ao seguinte padrão:
^([a-f0-9]{24})$.
parâmetros de query
-
Sinalizador que indica se o aplicativo empacota a resposta em um objeto JSON
envelope. Alguns clientes de API não podem acessar os cabeçalhos de resposta HTTP ou o código de status. Para corrigir isso, defina envelope=true na consulta. Os endpoints que retornam uma lista de resultados usam o objeto de resultados como um envelope. O aplicativo adiciona o parâmetro de status ao corpo da resposta.O valor padrão é
false. -
Número de itens que a resposta retorna por página.
O valor mínimo é
1, o valor máximo é500. O valor padrão é100. -
Número da página que exibe o conjunto atual dos objetos totais que a resposta retorna.
O valor mínimo é
1. O valor padrão é1. -
Os protocolos dos provedores de identidade de destino.
Os valores são
SAMLouOIDC. O valor padrão éSAML. -
Os tipos dos provedores de identidade de destino.
Os valores são
WORKFORCEouWORKLOAD. O valor padrão éWORKFORCE.
atlas api federatedAuthentication listIdentityProviders --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.ListFederationSettingIdentityProvidersApiParams{}
sdkResp, httpResp, err := client.FederatedAuthenticationApi.
ListFederationSettingIdentityProvidersWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/federationSettings/{federationSettingsId}/identityProviders?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/federationSettings/{federationSettingsId}/identityProviders?pretty=true"
{
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"results": [
{
"associatedOrgs": [
{
"dataAccessIdentityProviderIds": [
"string"
],
"domainAllowList": [
"string"
],
"domainRestrictionEnabled": true,
"identityProviderId": "string",
"orgId": "32b6e34b3d91647abb20e7b8",
"postAuthRoleGrants": [
"ORG_OWNER"
],
"roleMappings": [
{
"externalGroupName": "string",
"id": "32b6e34b3d91647abb20e7b8",
"roleAssignments": [
{
"groupId": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"role": "string"
}
]
}
],
"userConflicts": [
{
"emailAddress": "hello@example.com",
"federationSettingsId": "32b6e34b3d91647abb20e7b8",
"firstName": "string",
"lastName": "string",
"userId": "32b6e34b3d91647abb20e7b8"
}
]
}
],
"createdAt": "2026-05-04T09:42:00Z",
"description": "string",
"displayName": "string",
"id": "32b6e34b3d91647abb20e7b8",
"idpType": "WORKFORCE",
"issuerUri": "string",
"oktaIdpId": "string",
"protocol": "SAML",
"updatedAt": "2026-05-04T09:42:00Z",
"acsUrl": "string",
"associatedDomains": [
"string"
],
"audienceUri": "string",
"pemFileInfo": {
"certificates": [
{
"notAfter": "2026-05-04T09:42:00Z",
"notBefore": "2026-05-04T09:42:00Z"
}
],
"fileName": "string"
},
"requestBinding": "HTTP-POST",
"responseSignatureAlgorithm": "SHA-1",
"slug": "string",
"ssoDebugEnabled": true,
"ssoUrl": "string",
"status": "ACTIVE"
}
],
"totalCount": 42
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}